<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>MATCHES</title>
    <link rel="stylesheet" href="style.css">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN" crossorigin="anonymous">
  </head>
  <body>

    <center><h1>Match Analytics of the Years-{2008-2017} </h1></center>
    <div id="container1">
      <h1> No of Matches per year</h1><a href="#" id="link1">LINK1</a>
    </div>

    <div id="container2">
      <h1>Team Wonn toss and Match</h1>
      <a href="#" id="link2">LINK2</a>
    </div>

    <div id="container3">
      <h1>Highest Man Of the Matches </h1>
      <a href="#" id="link3">LINK3</a>
    </div>

    <div id="container4">
      <h1>Top Economical Bowlers in Year 2015</h1>
      <a href="#" id="link4">LINK4</a>
    </div>

    <div id="container5">
      <h1>Extra Runs Per Team</h1>
      <a href="#" id="link5">LINK5</a>
    </div>
    <div id="container6">
        <h1>Best Economy in Super-Overs</h1>
        <a href="#" id="link6">LINK6</a>
      </div>
      <div id="container7">
        <h1>Matches Won By Teams Per year</h1>
        <a href="#" id="link7">LINK7</a>
      </div>

    <script src="https://code.highcharts.com/highcharts.js"></script>

    <script>
            document.addEventListener("DOMContentLoaded", async function () {
              // Function to fetch and visualize data
              async function fetchDataAndVisualize(
                jsonFilePath,
                chartContainerId,
                chartTitle
              ) {
                try {
                  const response = await fetch(jsonFilePath);
                  const data = await response.json();
                  console.log("HELLO FROM IPL.JS");

                  const existingchart = Highcharts.charts.find(
                    (chart) => chart.renderTo.id === chartContainerId
                  );
                  if (existingchart) {
                    existingchart.destroy();
                  }

                  // Process the data and visualize it using Highcharts
                  Highcharts.chart(chartContainerId, {
                     accessibility:{
                      enabled:false
                     } ,
                    title: {
                      text: chartTitle,
                    },
                    xAxis: {
                      categories: Object.keys(data)
                    },
                    yAxis: {
                      title: {
                        text: chartTitle,
                      },
                    },
                    series: [
                      {
                        name: "Years",
                        data: Object.values(data),
                      },
                    ],
                  });
                } catch (error) {
                  console.error("Error fetching JSON:", error);
                }
              }

              const link1 = document.getElementById("link1");
              link1.addEventListener("click", async function (event) {
                event.preventDefault();
                await fetchDataAndVisualize(
                  "output/matchesperyear.json",
                  "container1",
                  "Matches per year"
                );
              });
            });



            document.addEventListener("DOMContentLoaded", async function () {
        // Function to fetch and visualize data
        async function fetchDataAndVisualize2(
          jsonFilePath,
          chartContainerId,
          chartTitle
        ) {
          try {
            const response = await fetch(jsonFilePath);
            const data = await response.json();
            console.log("HELLO FROM IPL.JS");

            const existingchart = Highcharts.charts.find(
              (chart) => chart.renderTo.id === chartContainerId
            );
            if (existingchart) {
              existingchart.destroy();
            }

            // Process the data and visualize it using Highcharts
            Highcharts.chart(chartContainerId, {
               accessibility:{
                enabled:false
               } ,
              title: {
                text: chartTitle,
              },
              xAxis: {
                categories: Object.keys(data)
              },
              yAxis: {
                title: {
                  text: chartTitle,
                },
              },
              series: [
                {
                  name: "Teams",
                  data: Object.values(data),
                },
              ],
            });
          } catch (error) {
            console.error("Error fetching JSON:", error);
          }
        }

        const link2 = document.getElementById("link2");
        link2.addEventListener("click", async function (event) {
          event.preventDefault();
          await fetchDataAndVisualize2(
            "output/teamwonntoss.json",
            "container2",
            "Team wonn toss and match"
          );
        });




      });

      document.addEventListener("DOMContentLoaded", async function () {
              // Function to fetch and visualize data
              async function fetchDataAndVisualize3(jsonFilePath) {
                try {
                  const response = await fetch(jsonFilePath);
                  const data = await response.json();

                  // Process the data for Highcharts
                  const categories = Object.keys(data);
                  const seriesData = categories.map(year => {
                    const playerData = data[year];
                    return {
                      name: playerData.player + '('+ year + ')',
                      y: playerData.count
                    };
                  });

                  // Create the chart
                  Highcharts.chart('container3', {
                    chart: {
                      type: 'bar'
                    },
                    title: {
                      text: 'Highest Man of the Matches'
                    },
                    xAxis: {
                      categories: categories,
                      title: {
                        text: 'Year'
                      }
                    },
                    yAxis: {
                      min: 0,
                      title: {
                        text: 'Number of Matches'
                      }
                    },
                    series: [{
                      name: 'Player',
                      data: seriesData
                    }]
                  });
                } catch (error) {
                  console.error("Error fetching JSON:", error);
                }
              }

              // Calling  the function now 
            const link3 = document.getElementById("link3");
            link3.addEventListener("click", async function (event) {
              event.preventDefault();
              console.log("From Link3");
      
              await fetchDataAndVisualize3("output/highest_manof_match.json");
            });
        })
    


        document.addEventListener("DOMContentLoaded", async function () {
    // Function to fetch and visualize data
    async function fetchDataAndVisualize4(jsonFilePath, chartContainerId, chartTitle) {
        try {
            const response = await fetch(jsonFilePath);
            const data = await response.json();
            console.log("HELLO FROM IPL4");

            // Process the data and visualize it using Highcharts
            Highcharts.chart(chartContainerId, {
                accessibility: {
                    enabled: false
                },
                title: {
                    text: chartTitle,
                },
                xAxis: {
                    categories: data.map(item => item.bowler) 
                },
                yAxis: {
                    title: {
                        text: "Economy Rate", // Update the y-axis title
                    },
                },
                series: [{
                    name: 'Economy Rate',
                    data: data.map(item => item.economyrate) 
                }]
            });
        } catch (error) {
            console.error("Error fetching JSON:", error);
        }
    }

    const link4 = document.getElementById("link4");
    link4.addEventListener("click", async function (event) {
        event.preventDefault();
        await fetchDataAndVisualize4(
            "output/topEconomicalBowlers2015.json",
            "container4",
            "Top Economical Bowlers in 2015"
        );
    });
});

        
document.addEventListener("DOMContentLoaded", async function () {
              // Function to fetch and visualize data
              async function fetchDataAndVisualize(
                jsonFilePath,
                chartContainerId,
                chartTitle
              ) {
                try {
                  const response = await fetch(jsonFilePath);
                  const data = await response.json();
                

                  // Process the data and visualize it using Highcharts
                  Highcharts.chart(chartContainerId, {
                     accessibility:{
                      enabled:false
                     } ,
                    title: {
                      text: chartTitle,
                    },
                    xAxis: {
                      categories: Object.keys(data)
                    },
                    yAxis: {
                      title: {
                        text: chartTitle,
                      },
                    },
                    series: [
                      {
                        name: "Years",
                        data: Object.values(data),
                      },
                    ],
                  });
                } catch (error) {
                  console.error("Error fetching JSON:", error);
                }
              }

              const link5 = document.getElementById("link5");
              link5.addEventListener("click", async function (event) {
                event.preventDefault();
                await fetchDataAndVisualize(
                  "output/extrarunsperteam.json",
                  "container5",
                  "Extra Runs Per Team"
                );
              });
            });
  
            
            document.addEventListener("DOMContentLoaded", async function () {
    // Function to fetch and visualize data
    async function fetchDataAndVisualize6(jsonFilePath, chartContainerId, chartTitle) {
        try {
            const response = await fetch(jsonFilePath);
            const data = await response.json();
            console.log("HELLO FROM IPL.JS");

            const existingchart = Highcharts.charts.find(
                (chart) => chart.renderTo.id === chartContainerId
            );
            if (existingchart) {
                existingchart.destroy();
            }

            // Process the data and visualize it using Highcharts
            Highcharts.chart(chartContainerId, {
                accessibility: {
                    enabled: false
                },
                chart: {
                    type: 'column'
                },
                title: {
                    text: chartTitle,
                },
                xAxis: {
                    categories: [data.bowler], // Use bowler's name as category
                    title: {
                        text: 'Bowler'
                    }
                },
                yAxis: {
                    title: {
                        text: 'Economy Rate'
                    }
                },
                series: [{
                    name: 'Economy Rate',
                    data: [data.economyrate] // Use economy rate as data
                }]
            });
        } catch (error) {
            console.error("Error fetching JSON:", error);
        }
    }

    const link6 = document.getElementById("link6");
    link6.addEventListener("click", async function (event) {
        event.preventDefault();
        await fetchDataAndVisualize6(
            "output/best_Economy_insuperover.json",
            "container6",
            "Bowler Economy Rate"
        );
    });
});
      
  
document.addEventListener("DOMContentLoaded", async function () {
            async function fetchDataAndVisualize7(jsonFilePath) {
                try {
                    const response = await fetch(jsonFilePath);
                    const data = await response.json();
                    console.log("HELLO FROM IPL7 JS");

                    // Extracting team names and years
                    const teams = Object.keys(data[Object.keys(data)[0]]);
                    const years = Object.keys(data);

                    // Formatting data for Highcharts
                    const seriesData = teams.map(team => ({
                        name: team,
                        data: years.map(year => data[year][team])
                    }));

                    // Create the chart
                    Highcharts.chart('container7', {
                        chart: {
                            type: 'column'
                        },
                        title: {
                            text: 'Matches Played by Teams Each Year'
                        },
                        xAxis: {
                            categories: years,
                            title: {
                                text: 'Year'
                            }
                        },
                        yAxis: {
                            min: 0,
                            title: {
                                text: 'Number of Matches'
                            }
                        },
                        series: seriesData
                    });
                } catch (error) {
                    console.error("Error fetching JSON:", error);
                }
            }

           const link7=document.getElementById("link7");
           link7.addEventListener("click", async function (event) {
                 event.preventDefault();
                 await fetchDataAndVisualize7("output/matches_wonperyear_perteam.json");
    });
        });
  </script>
  </body>
</html>
